## StThemeNodeTransition

StThemeNodeTransition

## Functions

StThemeNodeTransition * | st_theme_node_transition_new ()
void | st_theme_node_transition_update ()
void | st_theme_node_transition_paint ()
void | st_theme_node_transition_get_paint_box ()
StThemeNodePaintState * | st_theme_node_transition_get_new_paint_state ()

## Signals

void | completed | Run Last
void | new-frame | Run Last

## Object Hierarchy

        GObject
        ╰── StThemeNodeTransition

## Description

## Functions

### st_theme_node_transition_new ()

    StThemeNodeTransition *
    st_theme_node_transition_new (StThemeNode *from_node,
                                  StThemeNode *to_node,
                                  StThemeNodePaintState *old_paint_state,
                                  guint duration);

### st_theme_node_transition_update ()

    void
    st_theme_node_transition_update (StThemeNodeTransition *transition,
                                     StThemeNode *new_node);

### st_theme_node_transition_paint ()

    void
    st_theme_node_transition_paint (StThemeNodeTransition *transition,
                                    ClutterActorBox *allocation,
                                    guint8 paint_opacity);

### st_theme_node_transition_get_paint_box ()

    void
    st_theme_node_transition_get_paint_box
                                   (StThemeNodeTransition *transition,
                                    const ClutterActorBox *allocation,
                                    ClutterActorBox *paint_box);

### st_theme_node_transition_get_new_paint_state ()

    StThemeNodePaintState *
    st_theme_node_transition_get_new_paint_state
                                   (StThemeNodeTransition *transition);

## Types and Values

## Signal Details

### The `“completed”` signal

    void
    user_function (StThemeNodeTransition *stthemenodetransition,
                   gpointer               user_data)

Flags: Run Last

### The `“new-frame”` signal

    void
    user_function (StThemeNodeTransition *stthemenodetransition,
                   gpointer               user_data)

Flags: Run Last